<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".ui.activity.device.wifi.EditWifiPowerZoneActivity">

    <include
        android:id="@+id/edit_power_zone_top_bar"
        layout="@layout/layout_top_bar" />

    <RelativeLayout
        android:id="@+id/rl_edit_power_zone_map_layout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/edit_power_zone_top_bar">

        <androidx.fragment.app.FragmentContainerView
            android:id="@+id/fc_edit_power_zone_map_fragment"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />

        <include
            android:id="@+id/il_edit_power_zone_bluetooth_tips"
            layout="@layout/layout_ble_connect_state"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerHorizontal="true"
            android:layout_marginTop="@dimen/dp_42" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_edit_wifi_zone_refresh_btn"
            style="@style/map_image_yellow_btn_style"
            android:layout_alignParentEnd="true"
            android:layout_alignParentBottom="true"
            android:layout_marginEnd="@dimen/dp_12"
            android:layout_marginBottom="@dimen/dp_36"
            android:visibility="gone" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_edit_wifi_zone_map_type_btn"
            style="@style/map_image_white_btn_style"
            android:layout_alignParentEnd="true"
            android:layout_alignParentBottom="true"
            android:layout_marginEnd="@dimen/dp_12"
            android:layout_marginBottom="@dimen/dp_36"
            android:background="@drawable/shape_white_circle_bg" />
    </RelativeLayout>

    <RelativeLayout
        android:id="@+id/rl_edit_wifi_info_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:background="@drawable/shape20_white_bg"
        android:paddingHorizontal="@dimen/dp_12"
        android:paddingVertical="@dimen/dp_18">

        <com.abbidot.tracker.widget.TypefaceTextView
            android:id="@+id/tv_txt_wifi_name_title"
            style="@style/my_TextView_style_v2"
            android:text="@string/txt_wifi_name"
            android:textColor="@color/select_color3"
            android:textSize="@dimen/textSize14"
            app:typeface="@string/roboto_regular_font" />

        <com.abbidot.tracker.widget.TypefaceTextView
            android:id="@+id/tv_wifi_name_content"
            style="@style/my_TextView_style_v2"
            android:layout_alignTop="@id/tv_txt_wifi_name_title"
            android:layout_marginStart="@dimen/dp_2"
            android:layout_toEndOf="@id/tv_txt_wifi_name_title"
            android:text="@string/app_name"
            android:textSize="@dimen/textSize14"
            android:textStyle="bold" />

        <com.abbidot.tracker.widget.TypefaceTextView
            android:id="@+id/tv_wifi_gps_location"
            style="@style/my_TextView_style_v2"
            android:layout_below="@id/tv_txt_wifi_name_title"
            android:layout_marginTop="@dimen/dp_6"
            android:drawableStart="@drawable/icon_wif_location_svg"
            android:drawablePadding="@dimen/dp_6"
            android:text="@string/app_name"
            android:textColor="@color/select_color3"
            android:textSize="@dimen/textSize12"
            app:typeface="@string/roboto_regular_font" />

        <View
            android:id="@+id/view_wifi_name_line"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_05"
            android:layout_below="@id/tv_wifi_gps_location"
            android:layout_marginTop="@dimen/dp_24"
            android:background="@color/white_gray_color" />

        <include
            android:id="@+id/il_wifi_name_input_layout"
            layout="@layout/layout_input_edit_view"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_66"
            android:layout_below="@id/view_wifi_name_line"
            android:layout_marginTop="@dimen/dp_12" />


        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_edit_wifi_zone_type"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@id/il_wifi_name_input_layout"
            android:layout_marginTop="@dimen/dp_16" />

        <View
            android:id="@+id/edit_wifi_info_placeholder_view"
            android:layout_width="@dimen/dp_16"
            android:layout_height="@dimen/dp_1"
            android:layout_centerHorizontal="true" />

        <com.abbidot.tracker.widget.TypefaceButton
            android:id="@+id/btn_cancel_wifi_zone"
            style="@style/my_RoundRect_Button_style"
            android:layout_below="@id/rv_edit_wifi_zone_type"
            android:layout_alignParentStart="true"
            android:layout_marginTop="@dimen/dp_20"
            android:layout_toStartOf="@id/edit_wifi_info_placeholder_view"
            android:background="@color/block_color"
            android:text="@string/txt_cancel"
            app:qmui_radius="@dimen/dp_24"
            app:typeface="@string/roboto_bold_font" />

        <com.abbidot.tracker.widget.TypefaceButton
            android:id="@+id/btn_save_wifi_zone"
            style="@style/my_RoundRect_Button_style"
            android:layout_alignTop="@id/btn_cancel_wifi_zone"
            android:layout_alignParentEnd="true"
            android:layout_toEndOf="@id/edit_wifi_info_placeholder_view"
            android:background="@color/select_color2"
            android:text="@string/acccount_btn_save"
            app:qmui_radius="@dimen/dp_24"
            app:typeface="@string/roboto_bold_font" />
    </RelativeLayout>


</RelativeLayout>